Blackboard Technical Requirements


Blackboard Technical Requirements

In order for Blackboard to run efficiently, you should have the following:

  1. Internet Explorer 7 or later
  2. The Java Engine
  3. Adobe Acrobat
  4. Microsoft Office or Open Office

See below on how to install above items:

Instructions for Updating Internet Explorer to version 8

  1. If Internet Explorer is installed on your system, first determine the version that you have:
  2. Start Internet Explorer.
  3. From the top of the browser tool bar select "Help."
  4. From the drop down panel select "About Internet Explorer".
  5. A window will appear displaying the version number – if it is below 7 continue.
  6. Go to
  7. Click on Internet Explorer 8 and follow the instructions to install.

Updating to the latest Java Engine

  1. Go to
  2. Click on "Free Java Download" button and follow instructions.

Installing Adobe Acrobat

  1. Go to
  2. Click on the "Get Adobe Reader" button, click "Download", follow instructions.

If you don't have Word and/or PowerPoint on your computer, you may download Open Office (a free download)

  1. Go to
  2. Click on the "I want to download" link and follow instructions.
  3. Note: all BSCC Computers will already have Word/PowerPoint installed.

Problems? Please contact the Blackboard Helpdesk for BSCC by calling toll free: 1-866-940-8994, or email: This e-mail address is being protected from spambots. You need JavaScript enabled to view it .

Return to: Online Courses